import { h } from 'vue'
import { useModal } from '@/views/Content/hooks/modal'
const { openDetailsModal } = useModal()
export const useMubiaoDetail = () => {
  return { showDetailsMubiao }
}
function renderMubiaoDetailsContent(mbData: Record<string, any>) {
  return h(
    'div',
    {},
    Object.keys(mbData).map(key => h('div', {}, `${key}：${mbData[key]}`))
  )
}
function showDetailsMubiao(mbData: Record<string, any>) {
  openDetailsModal({
    titleString: 'zb详情',
    contentSlot: renderMubiaoDetailsContent(mbData),
  })
}
